# Class GetChatMessagesReply

#### Hierarchy

- unknown
  - GetChatMessagesReply

- Defined in src/protobuf/grpc_pb.d.ts:2668
- Defined in src/protobuf/grpc_pb.d.ts:2682

#####
Index

### Constructors

constructor

### Methods

addMessage
clearMessageList
getMessageList
serializeBinary
setMessageList
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetChatMessagesReply(): GetChatMessagesReply

- #### Returns GetChatMessagesReply

  Inherited from jspb.Message.constructor

## Methods

### addMessage

- addMessage(value?: ChatMessage, index?: number): ChatMessage

- #### Parameters

  - ##### `Optional` value: ChatMessage

  - ##### `Optional` index: number

  #### Returns ChatMessage

  - Defined in src/protobuf/grpc_pb.d.ts:2672

### clearMessageList

- clearMessageList(): GetChatMessagesReply

- #### Returns GetChatMessagesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2671

### getMessageList

- getMessageList(): ChatMessage[]

- #### Returns ChatMessage[]

  - Defined in src/protobuf/grpc_pb.d.ts:2669

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2674

### setMessageList

- setMessageList(value: ChatMessage[]): GetChatMessagesReply

- #### Parameters

  - ##### value: ChatMessage[]

  #### Returns GetChatMessagesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2670

### toObject

- toObject(includeInstance?: boolean): GetChatMessagesReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetChatMessagesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2675

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetChatMessagesReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetChatMessagesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2678

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetChatMessagesReply, reader: BinaryReader): GetChatMessagesReply

- #### Parameters

  - ##### message: GetChatMessagesReply

  - ##### reader: BinaryReader

  #### Returns GetChatMessagesReply

  - Defined in src/protobuf/grpc_pb.d.ts:2679

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetChatMessagesReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetChatMessagesReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2677

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetChatMessagesReply): GetChatMessagesReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetChatMessagesReply

  #### Returns GetChatMessagesReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2676

Generated using TypeDoc